net.minecraft.network.packet

## Class Packet102WindowClick

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet102WindowClick

-     public class Packet102WindowClick
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `action` A unique number for the action, used for transaction handling
    `int` | `holdingShift`
    `int` | `inventorySlot` The clicked slot (-999 is outside of inventory)
    `ItemStack` | `itemStack` Item stack for inventory
    `int` | `mouseClick` 1 when right-clicking and otherwise 0
    `int` | `window_Id` The id of the window which was clicked.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet102WindowClick()`
    `Packet102WindowClick(int par1, int par2, int par3, int par4, ItemStack par5ItemStack, short par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### window_Id

          public int window_Id

      The id of the window which was clicked. 0 for player inventory.

    - #### inventorySlot

          public int inventorySlot

      The clicked slot (-999 is outside of inventory)

    - #### mouseClick

          public int mouseClick

      1 when right-clicking and otherwise 0

    - #### action

          public short action

      A unique number for the action, used for transaction handling

    - #### itemStack

          public ItemStack itemStack

      Item stack for inventory

    - #### holdingShift

          public int holdingShift

  - ### Constructor Detail

    - #### Packet102WindowClick

          public Packet102WindowClick()

    - #### Packet102WindowClick

          public Packet102WindowClick(int par1,
                              int par2,
                              int par3,
                              int par4,
                              ItemStack par5ItemStack,
                              short par6)

  - ### Method Detail

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`